//
//  ALSetterUserTitleView.m
//  GMAlpha
//
//  Created by Mikasa on 2018/11/23.
//  Copyright © 2018 Gengmei. All rights reserved.
//

#import "ALSetterUserTitleView.h"

@interface ALSetterUserTitleView()

@end
@implementation ALSetterUserTitleView

- (void)setup {
    [super setup];
    
    GMLabel *titleBigLabel = [GMLabel new];
    titleBigLabel.textAlignment = NSTextAlignmentCenter;
    titleBigLabel.text = @"分享你最美的样子";
    titleBigLabel.font = [UIFont gmBoldFont:20];
    titleBigLabel.textColor = RGBCOLOR_HEX(0x282828);
    [self addSubview:titleBigLabel];
    
    GMLabel *titleSmalLabel = [GMLabel new];
    titleSmalLabel.textAlignment = NSTextAlignmentCenter;
    titleSmalLabel.text =  @"把你最满意的照片设为头像";
    titleSmalLabel.font = [UIFont gmFont:17];
    titleBigLabel.textColor = RGBCOLOR_HEX(0x282828);
    [self addSubview:titleSmalLabel];
    
    GMImageView *imageView = [[GMImageView alloc] initWithImage:[UIImage
                                                                 imageNamed:@"user_setter_QA"]];
    [self addSubview:imageView];
    
    
    [titleBigLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.right.mas_equalTo(0);
        make.height.mas_equalTo(20);
        make.bottom.mas_equalTo(titleSmalLabel.mas_top).offset(-8);
    }];
    
    [titleSmalLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.right.mas_equalTo(0);
        make.bottom.mas_equalTo(imageView.mas_top).offset(-15);
        make.height.mas_equalTo(20);
    }];
    
    [imageView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.bottom.mas_equalTo(0);
        make.left.mas_equalTo(58);
        make.right.mas_equalTo(-58);
    }];
    
}


@end
